//package sablon;

/*
  Feladat: 
    Ismétlés nélküli kombináció - rekurzív 2
*/

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;


public class feladat {

    public feladat() {
    }

    static final int MaxN = 60;//64 bites egéssz szám (long) esetén a Bin(N,K) nem biztos, hogy belefér, ha N>MaxN
	
    static class Input {
        int N;
        int K;
    }

    static class Output {
        long bnk;
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();
        input.N = io.nextInt();
        input.K = io.nextInt();
        return input;
    }
	
	static void kiir(IO io, Input input, Output output) throws IOException {
		io.writeLn(""+input.N+" alatt a(z) "+input.K+" = "+output.bnk);
    }

	static long B(int n, int k) {
		if (k==0) {
			return 1;
		} else {
			return B(n,k-1)*(n-k+1) / k;
		}
	}
	
	static Output megold(Input input) {
		Output output = new Output();
		output.bnk=B(input.N,input.K);
		return output;
	}
   
    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = megold(input);

        kiir(io, input, output);

        io.close();
    }

}